﻿@model MainGenresViewModel
@inject MainGenresViewModel model

@{
    ViewData["Title"] = "Add Main Genres";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="AddMainGenres" method="post">
            <div class="col-md-6">
                <h4>Add main genres to database.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MainGenres">Main Genres</label>
                    <select asp-for="@Model.MainGenres" asp-items="model.MainGenresList" multiple="multiple" class="form-control" size="3"></select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Main Genres</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

